MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Defines | Functions

# src/path.h File Reference

`#include <limits.h>`

Go to the source code of this file.

## Defines
#define | MPD_PATH_MAX 256
## Functions
void | path_global_init (void)
void | path_global_finish (void)
char * | fs_charset_to_utf8 (const char *path_fs)
| Converts a file name in the filesystem charset to UTF-8.
char * | utf8_to_fs_charset (const char *path_utf8)
| Converts a file name in UTF-8 to the filesystem charset.
const char * | path_get_fs_charset (void)

## Define Documentation

#define MPD_PATH_MAX 256

Definition at line 31 of file path.h.

## Function Documentation

char* fs_charset_to_utf8 | ( | const char * | path_fs | ) |

Converts a file name in the filesystem charset to UTF-8.

Returns NULL on failure.

const char* path_get_fs_charset | ( | void |  | ) |

void path_global_finish | ( | void |  | ) |

void path_global_init | ( | void |  | ) |

char* utf8_to_fs_charset | ( | const char * | path_utf8 | ) |

Converts a file name in UTF-8 to the filesystem charset.

Returns a duplicate of the UTF-8 string on failure.